libzypp: ztui::TermLine Struct Reference

libzypp 17.38.6

ztui::TermLine Struct Reference

`#include <zypp-tui/output/Out.h>`

## Public Types
enum | SplitFlag { SF_CRUSH = 1<<0 , SF_SPLIT = 1<<1 , SF_EXPAND = 1<<2 }

## Public Member Functions
| ZYPP_DECLARE_FLAGS (SplitFlags, SplitFlag)
| TermLine (SplitFlags flags_r, char exp_r)
| TermLine (SplitFlags flags_r)
| TermLine (char exp_r)
| TermLine ()
std::string | get () const
| Return plain line made of lhs + rhs.
std::string | get (unsigned width_r, SplitFlags flags_r, char exp_r) const
| Return line optionally formatted according to width_r and flags_r.
std::string | get (unsigned width_r, SplitFlags flags_r) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
std::string | get (unsigned width_r, char exp_r) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
std::string | get (unsigned width_r) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## Public Attributes
SplitFlags | flagsHint
zypp::DefaultIntegral< char,' '> | expHint
zypp::DefaultIntegral< int,-1 > | percentHint
zypp::str::Str | lhs
zypp::str::Str | rhs

## Detailed Description

Definition at line 342 of file Out.h.

## Member Enumeration Documentation

## ◆ SplitFlag

enum ztui::TermLine::SplitFlag

Enumerator
SF_CRUSH |
SF_SPLIT |
SF_EXPAND |

Definition at line 344 of file Out.h.

## Constructor & Destructor Documentation

## ◆ TermLine() [1/4]

ztui::TermLine::TermLine | ( | SplitFlags | flags_r,
|  | char | exp_r )
| inline

Definition at line 352 of file Out.h.

## ◆ TermLine() [2/4]

ztui::TermLine::TermLine | ( | SplitFlags | flags_r | ) |
| inline

Definition at line 353 of file Out.h.

## ◆ TermLine() [3/4]

ztui::TermLine::TermLine | ( | char | exp_r | ) |
| inline

Definition at line 354 of file Out.h.

## ◆ TermLine() [4/4]

ztui::TermLine::TermLine | ( |  | ) |
| inline

Definition at line 355 of file Out.h.

## Member Function Documentation

## ◆ ZYPP_DECLARE_FLAGS()

ztui::TermLine::ZYPP_DECLARE_FLAGS | ( | SplitFlags | ,
|  | SplitFlag | )

## ◆ get() [1/5]

std::string ztui::TermLine::get | ( |  | ) | const
| inline

Return plain line made of lhs + rhs.

Definition at line 366 of file Out.h.

## ◆ get() [2/5]

std::string ztui::TermLine::get | ( | unsigned | width_r,
|  | SplitFlags | flags_r,
|  | char | exp_r ) const

Return line optionally formatted according to width_r and flags_r.

If width_r or flags_r is zero a plain line made of lhs + rhs is returned.

Definition at line 47 of file Out.cc.

## ◆ get() [3/5]

std::string ztui::TermLine::get | ( | unsigned | width_r,
|  | SplitFlags | flags_r ) const
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 374 of file Out.h.

## ◆ get() [4/5]

std::string ztui::TermLine::get | ( | unsigned | width_r,
|  | char | exp_r ) const
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 377 of file Out.h.

## ◆ get() [5/5]

std::string ztui::TermLine::get | ( | unsigned | width_r | ) | const
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 380 of file Out.h.

## Member Data Documentation

## ◆ flagsHint

SplitFlags ztui::TermLine::flagsHint

Definition at line 357 of file Out.h.

## ◆ expHint

zypp::DefaultIntegral<char,' '> ztui::TermLine::expHint

Definition at line 358 of file Out.h.

## ◆ percentHint

zypp::DefaultIntegral<int,-1> ztui::TermLine::percentHint

Definition at line 359 of file Out.h.

## ◆ lhs

zypp::str::Str ztui::TermLine::lhs

Definition at line 361 of file Out.h.

## ◆ rhs

zypp::str::Str ztui::TermLine::rhs

Definition at line 362 of file Out.h.

The documentation for this struct was generated from the following files:

- zypp-tui/output/Out.h
- zypp-tui/output/Out.cc